Subject: bug#38526: 26.3; w32-shell-execute fails inside Nextcloud folder

From: Juan Jose Garcia-Ripoll <[email-masked]>
Date: Sun, 08 Dec 2019 18:41:08 +0100

Sorry, my report was very messy. I have spent a great chunk of the day trying to debug it but did not update the already opened bug report.

I originally reported it as "spaces" being the problem because I misunderstood the cause. Later along the day I realized that moving the data outside of the Nextcloud folder solves the issues.

Let me summarize it better:

- w32-shell-execute with verb "open" fails to actually open any object that lays inside a Nextcloud folder.
- those same files can be opened from Windows Explorer
- moving those files outside of Nextcloud or switching off Nextcloud solves the issue but that is kind of pointless.
- w32-shell-execute does not generate any message or log and I do not know how to debug it.

The problem is evidenced with any type of file. Initially I was obsessed with PDF but as I explain in my previous file, it occurs with Word files and any other file that is not associated to emacs -- for instance, 

(w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\test.docx")
(w32-shell-execute "open" "c:\\Users\\juanj\\Nextcloud\\tmp\\test.pdf")

I am wondering whether it has to do with the permissions of the emacs.exe executable or the fact that it uses a w32 api call. I have tried investigating the Windows logs but I found no error associated to the w32-shell-execute call.

Thanks for looking into this.
Best,

--
Juan José García Ripoll

Quantum Information and Foundations Group
Institute of Fundamental Physics IFF-CSIC
Calle Serrano 113b, Madrid 28006 Spain
http://quinfog.hbar.es - http://juanjose.garcia.ripoll